using Domain.Entities;

    namespace Models.Interfaces
    {
        public interface ITicketRepository
        {
        Task<IEnumerable<ETicket>> GetAllAsync();
        Task<ETicket> GetByIdAsync(Guid ticketId); // Cambiado a asincrónico
        Task<IEnumerable<ETickets_GetSummary>> GetSummaryAsync(); // Cambiado a asincrónico
        Task<IEnumerable<ETicket_Dashboard>> GetTicketDashboardAsync(string estado, string orden); // Cambiado a asincrónico
        Task InsertTicketAsync(ETicket ticket); // Cambiado a asincrónico
    }
}
